Bug 1740373 - Cluster infrastructure CPU/memory accounting doesn't cover nodes, system level processes
Summary: Cluster infrastructure CPU/memory accounting doesn't cover nodes, system leve...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.z
Assignee: Clayton Coleman
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1740372
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-12 18:49 UTC by Clayton Coleman
Modified: 2019-08-28 19:54 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1740372
Environment:
Last Closed: 2019-08-28 19:54:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2547 None None None 2019-08-28 19:54:59 UTC
Github openshift cluster-monitoring-operator pull 433 None None None 2019-08-13 21:37:32 UTC

Description Clayton Coleman 2019-08-12 18:49:59 UTC
+++ This bug was initially created as a clone of Bug #1740372 +++

infrastructure CPU calculations don't take into account the processes running on the nodes.

Instead of the current calculation, find all workload CPU/memory usage not in the openshift-* namespaces, then subtract that from the cluster CPU usage to get infrastructure use.

--- Additional comment from Clayton Coleman on 2019-08-12 14:49:12 EDT ---

Metrics 

workload:cpu_usage_cores:sum
workload:memory_usage_bytes:sum

are added

openshift:cpu_usage_cores:sum
openshift:memory_usage_bytes:sum

now include all CPU/memory on nodes not explicitly part of a workload.

Comment 8 errata-xmlrpc 2019-08-28 19:54:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2547


Note You need to log in before you can comment on or make changes to this bug.